> ## Documentation Index
> Fetch the complete documentation index at: https://sequence-0fb8d9e6-api_docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# DirectoryGetCollections



## OpenAPI

````yaml api-references/metadata/endpoints/sequence-metadata.json post /rpc/Metadata/DirectoryGetCollections
openapi: 3.0.0
info:
  title: Sequence Metadata
  version: 0.0.1
servers:
  - url: https://metadata.sequence.app/
    description: Metadata
security: []
tags:
  - name: public
    description: >-
      Endpoints accessible by passing your project-access-key in the header.
      This is injected whenever you login automatically.
  - name: secret
    description: >-
      Endpoints that require a Sequence service token intended to be secret. You
      can manually generate one on Sequence Builder and pass it as a Bearer
      Token.
paths:
  /rpc/Metadata/DirectoryGetCollections:
    post:
      tags:
        - public
      summary: DirectoryGetCollections
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Metadata_DirectoryGetCollections_Request'
            examples:
              '0':
                value:
                  includeTestnets: true
                  onlyFeatured: false
                  chainId: 80002
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Metadata_DirectoryGetCollections_Response'
              examples:
                '0':
                  value:
                    collections:
                      - chainId: 80002
                        address: '0xecfda15b60f2090b9c2c678910889e49e7edaab8'
                        name: colecction 3 de las uan
                        type: ERC721
                        symbol: ''
                        deployed: true
                        bytecodeHash: >-
                          0x77d12b9637a99b3ba23920eea929a68cc89b49a0e1ff4d2a71b798550cc0060e
                        extensions:
                          link: ''
                          description: test en poligon
                          ogImage: ''
                          ogName: ''
                          originChainId: 0
                          originAddress: ''
                          verified: true
                          verifiedBy: token-directory
                        updatedAt: '2024-08-20T15:53:43.971994Z'
                      - chainId: 80002
                        address: '0xd67dd82a97b21dafc1c62671e6909d22741c8235'
                        name: Tester Contract For Indexer Subscriptions
                        type: UNKNOWN
                        symbol: ''
                        deployed: true
                        bytecodeHash: 0x
                        extensions:
                          link: ''
                          description: ''
                          ogImage: ''
                          ogName: ''
                          originChainId: 0
                          originAddress: ''
                          verified: true
                          verifiedBy: token-directory
                        updatedAt: '2024-08-01T14:30:37.100518Z'
                      - chainId: 80002
                        address: '0xa1b52a27a68f77db09e57defc912eab802500278'
                        name: Toys
                        type: ERC1155
                        symbol: ''
                        deployed: true
                        bytecodeHash: >-
                          0x77d12b9637a99b3ba23920eea929a68cc89b49a0e1ff4d2a71b798550cc0060e
                        extensions:
                          link: ''
                          description: ''
                          ogImage: ''
                          ogName: ''
                          originChainId: 0
                          originAddress: ''
                          verified: true
                          verifiedBy: token-directory
                        updatedAt: '2024-08-20T15:53:45.705423Z'
                      - chainId: 80002
                        address: '0x4442e4878d60b13c0bca9ceb6b0bab82eaa03d56'
                        name: demo collection
                        type: ERC1155
                        symbol: ''
                        deployed: true
                        bytecodeHash: >-
                          0x77d12b9637a99b3ba23920eea929a68cc89b49a0e1ff4d2a71b798550cc0060e
                        extensions:
                          link: ''
                          description: demo collection description
                          ogImage: >-
                            https://metadata.sequence.app/projects/38573/collections/713/image.jpg
                          ogName: ''
                          originChainId: 0
                          originAddress: ''
                          verified: true
                          verifiedBy: token-directory
                        updatedAt: '2024-09-09T08:49:47.852638Z'
                      - chainId: 80002
                        address: '0x9559e7958d4729cf7ed4d9ff58a3ae1704800500'
                        name: Prueba-0
                        type: ERC721
                        symbol: ''
                        deployed: true
                        bytecodeHash: >-
                          0x77d12b9637a99b3ba23920eea929a68cc89b49a0e1ff4d2a71b798550cc0060e
                        extensions:
                          link: https://www.google.com
                          description: Collection description
                          ogImage: >-
                            https://metadata.sequence.app/projects/30957/collections/552/image.png
                          ogName: ''
                          originChainId: 0
                          originAddress: ''
                          verified: true
                          verifiedBy: token-directory
                        updatedAt: '2024-08-20T15:53:47.072029Z'
                      - chainId: 80002
                        address: '0x2b1e643324b3c479aa0803664637586493c3c204'
                        name: Weapons
                        type: ERC1155
                        symbol: ''
                        logoURI: >-
                          https://metadata.sequence.app/projects/35598/collections/620/image.png
                        deployed: true
                        bytecodeHash: >-
                          0xed47946e266a404fc37371df08eefdebb2fccba9ebe60c6ca8b467e1dd554ae0
                        extensions:
                          link: https://baseurl/collections/collectioname
                          description: >-
                            All weapons from Alternates can be found in this
                            category.
                          ogImage: >-
                            https://metadata.sequence.app/projects/35598/collections/620/image.png
                          ogName: Weapons 1155
                          originChainId: 0
                          originAddress: '0x2b1e643324b3c479aa0803664637586493c3c204'
                          verified: true
                          verifiedBy: token-directory
                        updatedAt: '2024-10-03T09:49:56.459325Z'
                    page:
                      page: 2
                      pageSize: 30
                      more: true
        4XX:
          description: Client error
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/ErrorWebrpcEndpoint'
                  - $ref: '#/components/schemas/ErrorWebrpcRequestFailed'
                  - $ref: '#/components/schemas/ErrorWebrpcBadRoute'
                  - $ref: '#/components/schemas/ErrorWebrpcBadMethod'
                  - $ref: '#/components/schemas/ErrorWebrpcBadRequest'
                  - $ref: '#/components/schemas/ErrorWebrpcClientDisconnected'
                  - $ref: '#/components/schemas/ErrorWebrpcStreamLost'
                  - $ref: '#/components/schemas/ErrorUnauthorized'
                  - $ref: '#/components/schemas/ErrorPermissionDenied'
                  - $ref: '#/components/schemas/ErrorSessionExpired'
                  - $ref: '#/components/schemas/ErrorMethodNotFound'
                  - $ref: '#/components/schemas/ErrorRequestConflict'
                  - $ref: '#/components/schemas/ErrorGeoblocked'
                  - $ref: '#/components/schemas/ErrorTimeout'
                  - $ref: '#/components/schemas/ErrorInvalidArgument'
                  - $ref: '#/components/schemas/ErrorRequiredArgument'
                  - $ref: '#/components/schemas/ErrorQueryFailed'
                  - $ref: '#/components/schemas/ErrorValidationFailed'
                  - $ref: '#/components/schemas/ErrorRateLimited'
                  - $ref: '#/components/schemas/ErrorNotFound'
                  - $ref: '#/components/schemas/ErrorProjectNotFound'
                  - $ref: '#/components/schemas/ErrorChainNotFound'
                  - $ref: '#/components/schemas/ErrorTokenDirectoryDisabled'
        5XX:
          description: Server error
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/ErrorWebrpcBadResponse'
                  - $ref: '#/components/schemas/ErrorWebrpcServerPanic'
                  - $ref: '#/components/schemas/ErrorWebrpcInternalError'
                  - $ref: '#/components/schemas/ErrorFail'
      security:
        - ApiKeyAuth:
            - AQAAAAAAAEGvyZiWA9FMslYeG_yayXaHnSI
components:
  schemas:
    Metadata_DirectoryGetCollections_Request:
      type: object
      properties:
        chainId:
          type: number
        includeTestnets:
          type: boolean
        onlyFeatured:
          type: boolean
        page:
          $ref: '#/components/schemas/Page'
    Metadata_DirectoryGetCollections_Response:
      type: object
      properties:
        collections:
          type: array
          description: '[]ContractInfo'
          items:
            $ref: '#/components/schemas/ContractInfo'
        page:
          $ref: '#/components/schemas/Page'
    ErrorWebrpcEndpoint:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcEndpoint
        code:
          type: number
          example: 0
        msg:
          type: string
          example: endpoint error
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcRequestFailed:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcRequestFailed
        code:
          type: number
          example: -1
        msg:
          type: string
          example: request failed
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcBadRoute:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcBadRoute
        code:
          type: number
          example: -2
        msg:
          type: string
          example: bad route
        cause:
          type: string
        status:
          type: number
          example: 404
    ErrorWebrpcBadMethod:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcBadMethod
        code:
          type: number
          example: -3
        msg:
          type: string
          example: bad method
        cause:
          type: string
        status:
          type: number
          example: 405
    ErrorWebrpcBadRequest:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcBadRequest
        code:
          type: number
          example: -4
        msg:
          type: string
          example: bad request
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcClientDisconnected:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcClientDisconnected
        code:
          type: number
          example: -8
        msg:
          type: string
          example: client disconnected
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcStreamLost:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcStreamLost
        code:
          type: number
          example: -9
        msg:
          type: string
          example: stream lost
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorUnauthorized:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: Unauthorized
        code:
          type: number
          example: 1000
        msg:
          type: string
          example: Unauthorized access
        cause:
          type: string
        status:
          type: number
          example: 401
    ErrorPermissionDenied:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: PermissionDenied
        code:
          type: number
          example: 1001
        msg:
          type: string
          example: Permission denied
        cause:
          type: string
        status:
          type: number
          example: 403
    ErrorSessionExpired:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: SessionExpired
        code:
          type: number
          example: 1002
        msg:
          type: string
          example: Session expired
        cause:
          type: string
        status:
          type: number
          example: 403
    ErrorMethodNotFound:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: MethodNotFound
        code:
          type: number
          example: 1003
        msg:
          type: string
          example: Method not found
        cause:
          type: string
        status:
          type: number
          example: 404
    ErrorRequestConflict:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: RequestConflict
        code:
          type: number
          example: 1004
        msg:
          type: string
          example: Conflict with target resource
        cause:
          type: string
        status:
          type: number
          example: 409
    ErrorGeoblocked:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: Geoblocked
        code:
          type: number
          example: 1006
        msg:
          type: string
          example: Geoblocked region
        cause:
          type: string
        status:
          type: number
          example: 451
    ErrorTimeout:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: Timeout
        code:
          type: number
          example: 2000
        msg:
          type: string
          example: Request timed out
        cause:
          type: string
        status:
          type: number
          example: 408
    ErrorInvalidArgument:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: InvalidArgument
        code:
          type: number
          example: 2001
        msg:
          type: string
          example: Invalid argument
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorRequiredArgument:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: RequiredArgument
        code:
          type: number
          example: 2002
        msg:
          type: string
          example: Required argument missing
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorQueryFailed:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: QueryFailed
        code:
          type: number
          example: 2003
        msg:
          type: string
          example: Query failed
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorValidationFailed:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: ValidationFailed
        code:
          type: number
          example: 2004
        msg:
          type: string
          example: Validation failed
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorRateLimited:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: RateLimited
        code:
          type: number
          example: 2005
        msg:
          type: string
          example: Rate limited
        cause:
          type: string
        status:
          type: number
          example: 429
    ErrorNotFound:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: NotFound
        code:
          type: number
          example: 3000
        msg:
          type: string
          example: Resource not found
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorProjectNotFound:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: ProjectNotFound
        code:
          type: number
          example: 3002
        msg:
          type: string
          example: Project not found
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorChainNotFound:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: ChainNotFound
        code:
          type: number
          example: 3003
        msg:
          type: string
          example: Chain not found
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorTokenDirectoryDisabled:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: TokenDirectoryDisabled
        code:
          type: number
          example: 4001
        msg:
          type: string
          example: Token Directory is disabled
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcBadResponse:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcBadResponse
        code:
          type: number
          example: -5
        msg:
          type: string
          example: bad response
        cause:
          type: string
        status:
          type: number
          example: 500
    ErrorWebrpcServerPanic:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcServerPanic
        code:
          type: number
          example: -6
        msg:
          type: string
          example: server panic
        cause:
          type: string
        status:
          type: number
          example: 500
    ErrorWebrpcInternalError:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcInternalError
        code:
          type: number
          example: -7
        msg:
          type: string
          example: internal error
        cause:
          type: string
        status:
          type: number
          example: 500
    ErrorFail:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: Fail
        code:
          type: number
          example: 1005
        msg:
          type: string
          example: Request Failed
        cause:
          type: string
        status:
          type: number
          example: 500
    Page:
      type: object
      properties:
        page:
          type: number
        column:
          type: string
        before:
          type: object
        after:
          type: object
        pageSize:
          type: number
        more:
          type: boolean
    ContractInfo:
      type: object
      required:
        - chainId
        - address
        - name
        - type
        - symbol
        - logoURI
        - deployed
        - bytecodeHash
        - extensions
        - contentHash
        - updatedAt
        - notFound
        - status
      properties:
        chainId:
          type: number
        address:
          type: string
        name:
          type: string
        type:
          type: string
        symbol:
          type: string
        decimals:
          type: number
        logoURI:
          type: string
        deployed:
          type: boolean
        bytecodeHash:
          type: string
        extensions:
          $ref: '#/components/schemas/ContractInfoExtensions'
        contentHash:
          type: number
        updatedAt:
          type: string
        notFound:
          type: boolean
        queuedAt:
          type: string
        status:
          $ref: '#/components/schemas/ResourceStatus'
    ContractInfoExtensions:
      type: object
      required:
        - link
        - description
        - categories
        - ogImage
        - ogName
        - originChainId
        - originAddress
        - blacklist
        - verified
        - verifiedBy
        - featured
      properties:
        link:
          type: string
        description:
          type: string
        categories:
          type: array
          description: '[]string'
          items:
            type: string
        ogImage:
          type: string
        ogName:
          type: string
        originChainId:
          type: number
        originAddress:
          type: string
        blacklist:
          type: boolean
        verified:
          type: boolean
        verifiedBy:
          type: string
        featured:
          type: boolean
    ResourceStatus:
      type: string
      description: Represented as uint32 on the server side
      enum:
        - NOT_AVAILABLE
        - STALE
        - AVAILABLE
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      description: >-
        Public project access key for authenticating requests obtained on
        Sequence Builder. Example Test Key: AQAAAAAAAEGvyZiWA9FMslYeG_yayXaHnSI
      name: X-Access-Key

````